# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:	A toolkit for Xesam compliant services
Name:		xesam-tools
Version:	0.6.1
Release:	alt1_9
License:	LGPLv2
Group:		File tools
URL:		http://xesam.org/main
Source0:	http://xesam.org/people/kamstrup/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	python-devel

BuildArch:	noarch
Source44: import.info

%description
xesam-tools provides Python packages to interface with Xesam
compliant services as well as a command line tool to use directly.

It also features a framework for easily implementing xesam compliant
servers via the xesam.server package. There are two examples bundled
with this distribution. Namely demo/xesam-yahoo-service and
demo/xesam-dummy-service. Both include a small header describing
their usage.

The implementation uses gobject and the Python dbus bindings for the gobject
mainloop. There's no gui, only a command line application (xesam-tool).

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

chmod 0644 demo/xesam-yahoo-service demo/xesam-dummy-service

%files
%doc AUTHORS ChangeLog COPYING README
%doc demo/xesam-yahoo-service demo/xesam-dummy-service
%{_bindir}/xesam-tool
%{python_sitelibdir_noarch}/xesam/
%{python_sitelibdir_noarch}/xesam*.egg-info

%changelog
* Tue Apr 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_9
- initial fc import

